Bug 177085 - The kernel prints repeated messages about unknown keyboard release codes
The kernel prints repeated messages about unknown keyboard release codes
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-05 22:13 EST by Alistair Riddoch
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-16 00:25:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alistair Riddoch 2006-01-05 22:13:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
At some point during boot the following messages start being output by the kernel
onto the console, and into the syslog:

Jan  6 02:54:28 click kernel: atkbd.c: Unknown key released (translated set 2, code 0x7f on isa0060/serio0).
Jan  6 02:54:28 click kernel: atkbd.c: Use 'setkeycodes 7f <keycode>' to make it known.

The machine in question does not have an AT keyboard attached, but uses a USB keyboard instead.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the system with kernel 2.6.14-1.1805_FC5

Actual Results:  atkdb.c error messages are printed once per second.

Expected Results:  No such messages should be printed.

Additional info:
Comment 1 Alistair Riddoch 2006-01-05 22:28:32 EST
Also confirmed with kernel-2.6.15-1.1819_FC5, and confirmed that the messages
begin as soon as the kernel has started.
Comment 2 Dan Carpenter 2006-01-06 00:07:24 EST

maybe try adding:
setkeycodes 7f 86
to /etc/rc.local
Comment 3 Pete Zaitcev 2006-01-06 00:37:42 EST
This is a BIOS emulation acting up. Best of all is to switch it off
in BIOS setup (sometimes called "USB Legacy"). The FC5 should have
default usb-handoff by now, which should accomplish the same effect,
but for some reason it didn't work here.
Comment 4 Alistair Riddoch 2006-02-04 07:18:47 EST
I am no longer seeing this problem with recent kernels from development.
The issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.